#!/bin/bash
#
# Recipe-specific step for task Install:  (make_install.sh)
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	install -d -m 755 $installDir/usr/sbin
	install -o root -g root -p -m 755 $buildDir/update-passwd $installDir/usr/sbin/
	install -d -m 755 $installDir/usr/share/man/man8 $installDir/usr/share/man/pl/man8
	install -p -m 644 $srcDir/man/update-passwd.8 $installDir/usr/share/man/man8/
	install -p -m 644 $srcDir/man/update-passwd.pl.8 \
		$installDir/usr/share/man/pl/man8/update-passwd.8
	gzip -9 $installDir/usr/share/man/man8/* $installDir/usr/share/man/pl/man8/*
	install -d -m 755 $installDir/usr/share/base-passwd
	install -o root -g root -p -m 644 $srcDir/passwd.master $installDir/usr/share/base-passwd/
	sed -i 's#:/root:#:/home/root:#' $installDir/usr/share/base-passwd/passwd.master
	install -o root -g root -p -m 644 $srcDir/group.master $installDir/usr/share/base-passwd/

	install -d -m 755 $installDir/usr/share/doc/base-passwd
	install -p -m 644 $srcDir/debian/changelog $installDir/usr/share/doc/base-passwd/
	gzip -9 $installDir/usr/share/doc/base-passwd/*
	install -p -m 644 $srcDir/README $installDir/usr/share/doc/base-passwd/
	install -p -m 644 $srcDir/debian/copyright $installDir/usr/share/doc/base-passwd/
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

