#!/bin/bash
# Script to run package configure

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi


do_buildstep_prepend


sed -e '/CONFIG_STATIC/d' \
		< ${WORKDIR}/defconfig > ${S}/.config
echo "# CONFIG_STATIC is not set" >> .config
for i in 'CROSS' 'DISTRO FEATURES'; do echo "### $i"; done >> \
	${S}/.config
sed -i -e '${configmangle}' ${S}/.config
if test ${DO_IPv4} -eq 0 && test ${DO_IPv6} -eq 0; then
	# disable networking applets
	mv ${S}/.config ${S}/.config.oe-tmp
	awk 'BEGIN{net=0}
	/^# Networking Utilities/{net=1}
	/^#$/{if(net){net=net+1}}
	{if(net==2&&$0 !~ /^#/&&$1){print("# "$1" is not set")}else{print}}' \
	${S}/.config.oe-tmp > ${S}/.config
fi
sed -i 's/CONFIG_IFUPDOWN_UDHCPC_CMD_OPTIONS="-R -n"/CONFIG_IFUPDOWN_UDHCPC_CMD_OPTIONS="-R -b"/' ${S}/.config	


merge_config.sh -m .config *.cfg
log_exec make defconfig

do_buildstep_append


