#!/bin/bash
#
# Recipe-specific step for task Install:  (make_install.sh)
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
    do_make 'DESTDIR=$installDir' install

    install -d $installDir/lib/systemd/system
    install -m 0644 $buildDir/service/systemd/mosquitto.service.notify $installDir/lib/systemd/system/mosquitto.service

    install -d $installDir$sysconfdir/mosquitto
    install -m 0644 $installDir$sysconfdir/mosquitto/mosquitto.conf.example \
                    $installDir$sysconfdir/mosquitto/mosquitto.conf

    install -d $installDir$sysconfdir/init.d
    install -m 0755 $workDir/mosquitto.init $installDir$sysconfdir/init.d/mosquitto
    sed -i -e 's,@SBINDIR@,$prefix/sbin,g' \
        -e 's,@BASE_SBINDIR@,/sbin,g' \
        -e 's,@LOCALSTATEDIR@,/var,g' \
        -e 's,@SYSCONFDIR@,/etc,g' \
        $installDir$sysconfdir/init.d/mosquitto
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

