#!/bin/bash
# Script to run package configure

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

# When rerun Configure task, must ensure config.cache is removed to 
# really re-configure Qt
do_cleanup_configure_cache() {
	local cacheFile="config.cache"
	if [ -f ${cacheFile} ]; then
		log "Clean up previous configure cache"
		log "find . -name '$cacheFile' | xargs -n64 rm -f"
		find . -name '$cacheFile' | xargs -n64 rm -f
	fi
}

do_buildstep_prepend

do_cleanup_configure_cache
do_configure

do_buildstep_append
