# !/bin/bash
# 1/ Create ld.conf file 
# 2/ Fix cmake directory path for Qt5Core to be found in sysroot 
# 	-> Converting _install relative to target sysroot relative

qtInstallDir=$installDir/${SYSROOT_LOC}		

log "Create default /etc/ld.so.conf"
mkdir -p $qtInstallDir/etc/ld.so.conf.d
touch $qtInstallDir/etc/ld.so.conf.d/${PACKAGE_NAME}-${PACKAGE_VERSION}.conf
echo "${qt5_lib_path}" >> $qtInstallDir/etc/ld.so.conf.d/${PACKAGE_NAME}-${PACKAGE_VERSION}.conf

log "Fix Qt5Core cmake path"
sed -i "s:${_qt5Core_install_prefix}/../../../../:${_qt5Core_install_prefix}/../../../../../:" ${qtInstallDir}${qt5_prefix_path}/lib/cmake/Qt5Core/Qt5CoreConfigExtrasMkspecDir.cmake

# Replace host paths with pkg-config built-in variable
find ${qtInstallDir} -name "*.pc" -exec \
    sed -i -e "s|prefix=${SYSROOT_LOC}|prefix=|g" {} \;
