# !/bin/bash
# Generate loaders.cache and wrappers

LIBV=2.10.0

# Move gdk-pixbuf-query-loaders into libdir so it is always available
# in multilib builds.
log_exec mv ${D}/${bindir}/gdk-pixbuf-query-loaders ${D}/${libdir}/gdk-pixbuf-2.0/

GDK_PIXBUF_MODULEDIR=${D}/${libdir}/gdk-pixbuf-2.0/${LIBV}/loaders ${D}/${libdir}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders > ${D}/${libdir}/gdk-pixbuf-2.0/${LIBV}/loaders.cache

# Normalize file paths to sysroot
sed -i "s|${D}/||g" ${D}/${libdir}/gdk-pixbuf-2.0/${LIBV}/loaders.cache

find ${D}${libdir} -name "libpixbufloader-*.la" -exec rm \{\} \;

create_wrapper ${D}/${bindir}/gdk-pixbuf-csource GDK_PIXBUF_MODULE_FILE=${libdir}/gdk-pixbuf-2.0/${LIBV}/loaders.cache

create_wrapper ${D}/${bindir}/gdk-pixbuf-pixdata GDK_PIXBUF_MODULE_FILE=${libdir}/gdk-pixbuf-2.0/${LIBV}/loaders.cache

create_wrapper ${D}/${libdir}/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders \
		GDK_PIXBUF_MODULE_FILE=${libdir}/gdk-pixbuf-2.0/${LIBV}/loaders.cache \
		GDK_PIXBUF_MODULEDIR=${libdir}/gdk-pixbuf-2.0/${LIBV}/loaders