#!/bin/bash
# Script to run make install with input target and arguments

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

    log_exec install -d ${installDir}${datadir}/gnu-config \
                        ${installDir}${bindir}
    cat gnu-configize.in | \
            sed -e 's,@gnu-configdir@,'"${datadir}"'/gnu-config,g' \
                -e 's,@autom4te_perllibdir@,'"${datadir}"'/autoconf,g' > ${installDir}${bindir}/gnu-configize
    # In the native case we want the system perl as perl-native can't have built yet
    if [ "${recipe_name}" != "gnu-config-native" ]; then
            sed -i -e 's,/usr/bin/env,'"${bindir}"'/env,g' ${installDir}${bindir}/gnu-configize
    fi
    chmod 755 ${installDir}${bindir}/gnu-configize
    install -m 0644 config.guess config.sub ${installDir}${datadir}/gnu-config/
		
do_buildstep_append

