# !/bin/bash
# 
# Create a libtinfo.so library pointing to libncurses.so if needed
# for packages that insist on having two independent libraries
#

for ext in .so w.so .la w.la; do
	for ncurses in $installDir/$libdir/libncurses$ext*; do
		if [ -r $ncurses ]; then
			tinfo=${ncurses/libncurses$ext/libtinfo$ext}
			if [ ! -r $tinfo ]; then
				log_exec ln -nfs $(basename $ncurses) $tinfo
			fi
		fi
	done
done

# In ncursesw do not install anything in /usr/share as these were already provided by nurses
# Also suppress the symbolic link /usr/lib/terminfo --> ../share/terminfo

rm -f $installDir/$libdir/terminfo
rm -rf $installDir/$datadir/terminfo 