#
# Finish PERL install
#

log_exec install -d \
                 ${installDir}$bindir/perl-native \
                 ${installDir}$libdir/perl-native/perl/5.24.1/CORE \
	             ${installDir}$datadir/perl/5.24.1/ExtUtils

# We need a hostperl link for building perl
log_exec ln -sf perl5.24.1 ${installDir}$bindir/perl-native/hostperl

# We need a nativeperl link for executing scripts and building CPAN modules
log_exec ln -sf perl-native/perl ${installDir}$bindir/nativeperl

# Also place a perl link there, just in case...
#log_exec ln -sf nativeperl ${installDir}$bindir/perl

log_exec ln -sf perl ${installDir}$libdir/perl-native/perl5

# Save native config
log_exec install config.sh ${installDir}$libdir/perl-native/perl
log_exec install lib/Config.pm ${installDir}$libdir/perl-native/perl/5.24.1/
log_exec install lib/ExtUtils/typemap ${installDir}$libdir/perl-native/perl/5.24.1/ExtUtils/

# perl shared library headers
# reference perl 5.20.0-1 in debian:
# https://packages.debian.org/experimental/i386/perl/filelist
for i in av.h bitcount.h charclass_invlists.h config.h cop.h cv.h dosish.h \
	embed.h embedvar.h EXTERN.h fakesdio.h feature.h form.h git_version.h \
	gv.h handy.h hv_func.h hv.h inline.h INTERN.h intrpvar.h iperlsys.h \
	keywords.h l1_char_class_tab.h malloc_ctl.h metaconfig.h mg_data.h \
	mg.h mg_raw.h mg_vtable.h mydtrace.h nostdio.h opcode.h op.h \
	opnames.h op_reg_common.h overload.h pad.h parser.h patchlevel.h \
	perlapi.h perl.h perlio.h perliol.h perlsdio.h perlvars.h perly.h \
	pp.h pp_proto.h proto.h reentr.h regcharclass.h regcomp.h regexp.h \
	regnodes.h scope.h sv.h thread.h time64_config.h time64.h uconfig.h \
	unicode_constants.h unixish.h utf8.h utfebcdic.h util.h uudmap.h \
	vutil.h warnings.h XSUB.h
do
	log_exec install $i ${installDir}$libdir/perl-native/perl/5.24.1/CORE
done

# Those wrappers mean that perl installed from sstate (which may change
# path location) works and that in the nativesdk case, the SDK can be
# installed to a different location from the one it was built for.
create_wrapper ${installDir}$bindir ${installDir}$bindir/perl-native/perl PERL5LIB='$PERL5LIB:$libdir/perl-native/perl/site_perl/5.24.1:$libdir/perl-native/perl/vendor_perl/5.24.1:$libdir/perl-native/perl/5.24.1'
create_wrapper ${installDir}$bindir ${installDir}$bindir/perl-native/perl5.24.1 PERL5LIB='$PERL5LIB:$libdir/perl-native/perl/site_perl/5.24.1:$libdir/perl-native/perl/vendor_perl/5.24.1:$libdir/perl-native/perl/5.24.1'

# Use /usr/bin/env nativeperl for the perl script.
for f in `grep -Il '#! *$bindir/perl-native/perl' ${installDir}/$bindir/perl-native/*`; do
	log_exec sed -i -e 's|$bindir/perl-native/perl|/usr/bin/env nativeperl|' $f
done

# The packlist is large with hardcoded paths meaning it needs relocating
# so just remove it.
log_exec rm ${installDir}$libdir/perl-native/perl/5.24.1/.packlist

# Fix up shared library
log_exec mv ${installDir}$libdir/perl-native/perl/5.24.1/CORE/libperl.so ${installDir}$libdir/libperl.so.${PV}
log_exec ln -sf libperl.so.${PV} ${installDir}$libdir/libperl.so.5
log_exec ln -sf libperl.so.5 ${installDir}$libdir/libperl.so
log_exec ln -sf ../../../libperl.so.${PV} ${installDir}$libdir/perl-native/perl/5.24.1/CORE/libperl.so

