#!/bin/bash
# Script to configure uboot-tools-native

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

log_exec mkdir -p $buildDir
log_exec cd $srcDir
log_exec rm -f .config include/config # Just in case
log_exec make O=$buildDir HOSTCC=${BUILD_CC} sandbox_defconfig

# Disable CONFIG_CMD_LICENSE, license.h is not used by tools and
# generating it requires bin2header tool, which for target build
# is built with target tools and thus cannot be executed on host.
log_exec "sed -i 's/CONFIG_CMD_LICENSE=.*/# CONFIG_CMD_LICENSE is not set/' $buildDir/.config"

do_buildstep_append